[Haskell-cafe] Is bumping the version number evil, if it's not mandated by the PVP?

Sebastian Fischer sebf at informatik.uni-kiel.de
Sun Aug 15 15:55:38 EDT 2010

>> My worry with bumping only the patch level is that
>> people who explicitly want to depend on the efficient version of my
>> library need to depend on a.b.c.D and cannot follow the good practice
>> of depending on a.b.*.
> Well, then you have ">= a.b.c.d && < a.(b+1)".

Ok, it seems this is less of an issue than I initially thought. I have  
changed my mind and will probably make a patch-level release without  
an identical major release. (I'll make an additional major release  
with a generalised API however.)


Underestimating the novelty of the future is a time-honored tradition.

More information about the Haskell-Cafe mailing list